Name:          ebumeter
Summary:       Loudness measurement according to EBU-R128
Version:       0.1.0
Release:       14%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://kokkinizita.linuxaudio.org/linuxaudio
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:       %{name}.desktop
Source2:       %{name}.png
# correct FSF address
Patch0:        %{name}-%{version}-fsf.patch

BuildRequires: desktop-file-utils 
BuildRequires: libsndfile-devel
BuildRequires: clthreads-devel 
BuildRequires: clxclient-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libXft-devel 
BuildRequires: libpng-devel

%description
Loudness measurement according to EBU-R128. Presented at LAC 2011 
(thanks to Joern Nettingsmeier!). The only documentation available 
at the moment are the paper, the presentation, slides and the video 
of the LAC 2011 session.

%prep
%setup -q
%patch0 -p1
pushd source
sed -i -e "s|-march=native|%{optflags}|" Makefile

%build
pushd source
make PREFIX=%{_prefix} %{?_smp_mflags}
popd

%install
pushd source
make DESTDIR=%{buildroot} PREFIX=%{_prefix} %{?_smp_mflags} install
popd

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 644 %{SOURCE2} \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png
    
%files
%doc AUTHORS COPYING README doc/*pdf
%{_bindir}/%{name}
%{_bindir}/ebur128
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.0-13
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 06 2012 Brendan Jones >brendan.jones.it@gmail.com> 0.1.0-7
- desktop file changes and cosmetics

* Mon Mar 06 2012 Brendan Jones >brendan.jones.it@gmail.com> 0.1.0-5
- patch FSF address, preserve icon permissions

* Mon Feb 14 2012 Brendan Jones >brendan.jones.it@gmail.com> 0.1.0-4
- use the upstream icon in pixmaps, remove hicolor scriptlets

* Mon Feb 13 2012 Brendan Jones >brendan.jones.it@gmail.com> 0.1.0-3
- move desktop categories into source

* Fri Feb 10 2012 Brendan Jones >brendan.jones.it@gmail.com> 0.1.0-2
- modified to Fedora package guidelines

* Tue Nov 16 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- initial build
